%define name scilab 
%define version 2.7
%define release 1mdk

%define flavor emacs xemacs

Summary: A high-level language for numerical computations.
Name: %name
Version: %version
Release: %release
License: SCILAB - GPLish
Group: Sciences/Mathematics
# CAUTION: pristine source is actually tar.gzipped
Source0: ftp://ftp.inria.fr/INRIA/Projects/Meta2/Scilab/distributions/%{name}-%{version}.src.tar.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
Source20: scilab.el
URL: http://www-rocq.inria.fr/scilab/
BuildRequires: gcc-g77 perl tcl tk Xaw3d-devel
BuildRequires: emacs
BuildRoot: %{_tmppath}/%name-buildroot
Excludearch: sparc ia64

%description
Scilab is a high-level language, primarily intended for numerical
computations.  Scilab includes a number of toolboxes and on-line
documentation.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q 
#%patch0 -p1

%build
%__libtoolize --copy --force
export CFLAGS="$RPM_OPT_FLAGS"
export CC_OPTIONS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export FFLAGS="$RPM_OPT_FLAGS"
export FC_OPTIONS="$RPM_OPT_FLAGS"
rm -f config.cache
autoconf
%ifnarch alpha
./configure --enable-shared --enable-static=no --with-xaw3d --with-tk --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} 
%else
./configure --enable-shared --enable-static=no --with-xaw3d --with-tk --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} alpha-mandrake-linux-gnu
%endif

make FC_OPTIONS="$RPM_OPT_FLAGS" CC_OPTIONS="$RPM_OPT_FLAGS" all
make tarbindist 2>&1 > /dev/null

cp -af %SOURCE20 .
for i in %{flavor};do
	$i -batch -q -no-site-file -f batch-byte-compile %{name}.el
	mv %{name}.elc $i-%{name}.elc
done



%install
rm -rf $RPM_BUILD_ROOT
#makeinstall

mkdir -p $RPM_BUILD_ROOT{%_libdir,%_bindir}
( cd $RPM_BUILD_ROOT%_libdir; tar xf $RPM_BUILD_DIR/scilab-%{version}/scilab-2.*-bin.tar )

# Nuke dependencies on /bin/SCILABGS and /bin/sh5
( cd $RPM_BUILD_ROOT%_libdir/scilab-*
    chmod -x ./scripts/scilab.g
    perl -pi -e s+/bin/sh5+/bin/sh+ ./bin/dold
)

# Nuke attempts to setenv SCI from build directory.
( cd $RPM_BUILD_ROOT%_libdir/scilab-*
  for F in `grep -l ${RPM_BUILD_DIR} ./util/* ./bin/*`
  do
    perl -pi -e "s+${RPM_BUILD_DIR}+/usr/lib+" ${F}
  done
)

# Add /usr/bin/scilab symlink
( cd $RPM_BUILD_ROOT%_bindir
  ln -s ../lib/scilab-*/bin/scilab scilab
)

# Clean up some perms stuff so we don't get bogus dependencies
chmod a-x `find $RPM_BUILD_ROOT%_libdir/scilab-*/ -type f -name "Makefile.*"`

# Icons
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

# Menu
install -d $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
                needs="X11" section="Applications/Sciences/Mathematics" \
		title="Scilab" \
                longtitle="Environment for numerical computations"
EOF

# (X)emacs
for i in %{flavor};do
	mkdir -p %{buildroot}%{_datadir}/$i/site-lisp/
	mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/
	install -m644 $i-%{name}.elc %{buildroot}%{_datadir}/$i/site-lisp/
	[[ $i = emacs ]] && install -m644 %{name}.el %{buildroot}%{_datadir}/emacs/site-lisp/
done

mkdir -p %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{name}.el
%{expand:%(%__cat %{SOURCE20})}
EOF


%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../scilab-2.*-bin.tar

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS CHANGES license.txt licence.txt
%_bindir/*
%_libdir/scilab-*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%config(noreplace) /etc/emacs/site-start.d/%{name}.el
%{_datadir}/*/site-lisp/*el*

%changelog
* Fri Feb 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.7-1mdk
- 2.7

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6-4mdk
- rebuild

* Sun Jun 16 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6-3mdk
- png icons (out xpm!)

* Thu Dec 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6-2mdk
- add emacs mode

* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.6-2mdk
- fixes from Thomas Leclerc <leclerc@linux-mandrake.com> :
	- use Xaw3d (fix crash when exporting graphics, see website)
	- BuildRequires: gcc-g77 Xaw3d-devel
	- use libtoolize

* Wed Jul 18 2001  Lenny Cartier <lenny@mandrakesoft.com> 2.6-1mdk
- updated by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- updated to 2.6
	- menu entry and icons
	- included some RH spec changes
	- removed insertfield.f, mtlb_load.sci, and old patches
	- used RH patch nopvmdist


* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- updated to 2.5
- used patches from RH

* Tue Sep 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-3mdk

- build release
- macros
- menu

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-2mdk

- bzip2 patches
- fix group

* Thu Dec 30 1999 Lenny Cartier <lenny@mandrakesoft.com>

- new in contribs
- bz2 archive

* Wed Aug 18 1999 Tim Powers <timp@redhat.com>
- exludearch alpha

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- clean up dependencies

* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- update to 2.4.1

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- Upgrade to 2.4.

* Thu Oct 22 1998 Jeff Johnson <jbj@redhat.com>
- Fixes to permit compile on alpha.
- Eliminate lurking dependencies on /bin/sh5 and SCILABGS.
- Modify default value of SCI variable to be correct for users.
- Add /usr/bin/scilab symlink.

* Sat Jul 11 1998 Jeff Johnson <jbj@redhat.com>
- Create powertools package.
